# Neo Store <img title="" src="src/main/res/mipmap-xxxhdpi/ic_launcher_round.webp" align="left" width="64" style="padding: 12px;">

### The modern and feature-rich F-Droid client for everyone!

[![GitHub release](https://img.shields.io/github/v/release/NeoApplications/Neo-Store?display_name=tag)](https://github.com/NeoApplications/Neo-Store/releases/latest)
[![GitHub All Releases](https://img.shields.io/github/downloads/NeoApplications/Neo-Store/total.svg)](https://github.com/NeoApplications/Neo-Store/releases/)
[![GitHub repo stars](https://img.shields.io/github/stars/NeoApplications/Neo-Store?style=flat)](https://github.com/NeoApplications/Neo-Store/stargazers)
[![Small translation badge](https://hosted.weblate.org/widgets/neo-store/-/svg-badge.svg)](https://hosted.weblate.org/engage/neo-store/?utm_source=widget)
[![GitHub License](https://img.shields.io/github/license/NeoApplications/Neo-Store)](https://github.com/NeoApplications/Neo-Store/blob/master/COPYING)

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png" alt="Get it on F-Droid" width="38%" align="center">](https://f-droid.org/packages/com.machiav3lli.fdroid)
[<img src="https://gitlab.com/IzzyOnDroid/repo/-/raw/master/assets/IzzyOnDroid.png" alt="Get it on IzzyDroid" width="38%" align="center">](https://android.izzysoft.de/repo/apk/com.machiav3lli.fdroid)

[![Neo Applications Banner](neo_banner.png)](https://github.com/NeoApplications)

## Features :abacus:

* UX focused on empowering users :fist:
* Fast repository sync times :airplane: 
* Awesome built-in repositories :toolbox:
* Easy exploration of new apps :mag:
* Minimalism with KISS principles :dart:

## Screenshots :framed_picture:

### Beautiful light :sun_with_face: and dark :new_moon_with_face: themes

| <img title="" src="metadata/en-US/images/phoneScreenshots/light.png" alt="" width="330" align="center"> | <img title="" src="metadata/en-US/images/phoneScreenshots/dark.png" alt="" width="330" align="center"> | <img title="" src="metadata/en-US/images/phoneScreenshots/amoled.png" alt="" width="330" align="center"> |
|:-------------------------------------------------------------------------------------------------------:|:------------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------:|

### Complete app details, latest apps & built-in repos :toolbox:

| <img title="" src="metadata/en-US/images/phoneScreenshots/app.png" alt="" width="330" align="center"> | <img title="" src="metadata/en-US/images/phoneScreenshots/latest.png" alt="" width="330" align="center"> | <img title="" src="metadata/en-US/images/phoneScreenshots/repos.png" alt="" width="330" align="center"> |
|:-----------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------:| -------------------------------------------------------------------------------------------------------:|

## Community :speech_balloon:

You can join either our [Telegram](https://t.me/neo_android_store) or [Matrix](https://matrix.to/#/#neo-store:matrix.org) groups to make suggestions, ask questions, receive news, or just chat.

<p align="center">
<a href="https://t.me/neo_android_store"><img src="https://upload.wikimedia.org/wikipedia/commons/8/82/Telegram_logo.svg" alt="Join Telegram Channel" width="11%" align="center"></a>
<a href="https://matrix.to/#/#neo-store:matrix.org"><img src="https://docs.cloudron.io/img/element-logo.png" alt="Join Matrix Channel" width="11%" align="center" /></a>
</p>

## Translations :left_speech_bubble: [<img align="right" src="https://hosted.weblate.org/widgets/neo-store/-/287x66-white.png" alt="Übersetzungsstatus" />](https://hosted.weblate.org/engage/neo-store/?utm_source=widget)

Contribute your translations to Neo Store on [Hosted Weblate](https://hosted.weblate.org/engage/neo-store/). <br> Adding new languages is always accepted and supported.

[![Translation status](https://hosted.weblate.org/widgets/neo-store/-/multi-auto.svg)](https://hosted.weblate.org/engage/neo-store/?utm_source=widget)

## Building From Source :building_construction:

Specify your Android SDK path either by using the `ANDROID_HOME` environment variable, or filling out the `sdk.dir` property in `local.properties`.

### Signing :pen:

Can be done automatically using `keystore.properties` as follows:

```properties
store.file=/path/to/keystore
store.password=key-store-password
key.alias=key-alias
key.password=key-password
```

### Building :hammer:

Run `./gradlew assembleRelease` to build a release package or run `./gradlew assembleDebug` if you want to build a debug APK.

All of these packages can be installed using the Android package manager.

## Special Thanks :heart:

To [Iamlooker](https://github.com/Iamlooker), who worked with me on maintaining the project, until he had to step away and fork out out of career-related reasons. Best of luck!

To [Donno](https://github.com/Donnnno) for the new app icon base.

## Copylefted Libre License :scroll:

Licensed with: [GPLv3+](/COPYING). \
Direct adaptation/modification of [Foxy-Droid](https://github.com/kitsunyan/foxy-droid/).

Copyright © 2023 [Antonios Hazim](https://github.com/machiav3lli) and [contributors](https://github.com/NeoApplications/Neo-Store/graphs/contributors).



